local PlayerName = "<?php echo e($token->user->username); ?>"
local CharacterAppearance = "http://<?php echo e(request()->getHttpHost()); ?>/users/<?php echo e($token->user->id); ?>/character?tick=" .. tick()
local ServerAddress = "<?php echo e($token->server->ip); ?>"
local ServerPort = <?php echo e($token->server->port); ?>


local Players = game:GetService("Players")
Players:SetChatStyle(Enum.ChatStyle.ClassicAndBubble)

local Player = Players:CreateLocalPlayer(<?php echo e($token->user->id); ?>)
Player.Name = PlayerName
Player.CharacterAppearance = CharacterAppearance

local Visit = game:GetService("Visit")
--Visit:SetUploadUrl("")

game:SetMessage("Connecting to server...")
local NetworkClient = game:GetService("NetworkClient")
NetworkClient:Connect(ServerAddress, ServerPort)

NetworkClient.ConnectionAccepted:connect(function(Peer, NetworkReplicator)
	game:SetMessageBrickCount()

	local MarkerReceived = false

	local NetworkMarker = NetworkReplicator:SendMarker()
	NetworkMarker.Received:connect(function()
		MarkerReceived = true

		game:SetMessage("Requesting character")
		NetworkReplicator:RequestCharacter()

		game:SetMessage("Waiting for character")
		Player.CharacterAdded:connect(function()
			game:ClearMessage()
		end)
	end)

	while not MarkerReceived do
		workspace:ZoomToExtents()
		wait(0.5)
	end
end)<?php /**PATH D:\project\tadah\tadah\resources\views/client/join.blade.php ENDPATH**/ ?>